python-pygments_2.0.1+dfsg-1.1+deb8u1_all.deb


Advertisement

Description

python-pygments - syntax highlighting package written in Python

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name python-pygments
Package version 2.0.1+dfsg
Package release 1.1+deb8u1
Package architecture all
Package type deb
Installed size 2.46 KB
Download size 470.30 KB
Official Mirror ftp.br.debian.org
Pygments aims to be a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that need to
prettify source code.
Highlights are:
* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX and ANSI sequences
* it is usable as a command-line tool and as a library

Alternatives

Package Version Architecture Repository
python-pygments_2.0.1+dfsg-1.1+deb8u1_all.deb 2.0.1+dfsg all Debian Main
python-pygments - - -

Requires

Name Value
python -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-pygments_2.0.1+dfsg-1.1+deb8u1_all.deb
Source Package pygments

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pygments deb package:
    # sudo apt-get install python-pygments

Files

Path
/etc/bash_completion.d/pygmentize
/usr/bin/pygmentize
/usr/lib/python2.7/dist-packages/Pygments-2.0.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/Pygments-2.0.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/Pygments-2.0.1.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/Pygments-2.0.1.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/Pygments-2.0.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pygments/__init__.py
/usr/lib/python2.7/dist-packages/pygments/cmdline.py
/usr/lib/python2.7/dist-packages/pygments/console.py
/usr/lib/python2.7/dist-packages/pygments/filter.py
/usr/lib/python2.7/dist-packages/pygments/formatter.py
/usr/lib/python2.7/dist-packages/pygments/lexer.py
/usr/lib/python2.7/dist-packages/pygments/modeline.py
/usr/lib/python2.7/dist-packages/pygments/plugin.py
/usr/lib/python2.7/dist-packages/pygments/regexopt.py
/usr/lib/python2.7/dist-packages/pygments/scanner.py
/usr/lib/python2.7/dist-packages/pygments/sphinxext.py
/usr/lib/python2.7/dist-packages/pygments/style.py
/usr/lib/python2.7/dist-packages/pygments/token.py
/usr/lib/python2.7/dist-packages/pygments/unistring.py
/usr/lib/python2.7/dist-packages/pygments/util.py
/usr/lib/python2.7/dist-packages/pygments/filters/__init__.py
/usr/lib/python2.7/dist-packages/pygments/formatters/__init__.py
/usr/lib/python2.7/dist-packages/pygments/formatters/_mapping.py
/usr/lib/python2.7/dist-packages/pygments/formatters/bbcode.py
/usr/lib/python2.7/dist-packages/pygments/formatters/html.py
/usr/lib/python2.7/dist-packages/pygments/formatters/img.py
/usr/lib/python2.7/dist-packages/pygments/formatters/latex.py
/usr/lib/python2.7/dist-packages/pygments/formatters/other.py
/usr/lib/python2.7/dist-packages/pygments/formatters/rtf.py
/usr/lib/python2.7/dist-packages/pygments/formatters/svg.py
/usr/lib/python2.7/dist-packages/pygments/formatters/terminal.py
/usr/lib/python2.7/dist-packages/pygments/formatters/terminal256.py
/usr/lib/python2.7/dist-packages/pygments/lexers/__init__.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_asy_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_cl_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_cocoa_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_lasso_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_lua_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_mapping.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_mql_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_openedge_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_php_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_postgres_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_scilab_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_sourcemod_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_stan_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/_vim_builtins.py
/usr/lib/python2.7/dist-packages/pygments/lexers/actionscript.py
/usr/lib/python2.7/dist-packages/pygments/lexers/agile.py
/usr/lib/python2.7/dist-packages/pygments/lexers/algebra.py
/usr/lib/python2.7/dist-packages/pygments/lexers/ambient.py
/usr/lib/python2.7/dist-packages/pygments/lexers/apl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/asm.py
/usr/lib/python2.7/dist-packages/pygments/lexers/automation.py
/usr/lib/python2.7/dist-packages/pygments/lexers/basic.py
/usr/lib/python2.7/dist-packages/pygments/lexers/business.py
/usr/lib/python2.7/dist-packages/pygments/lexers/c_cpp.py
/usr/lib/python2.7/dist-packages/pygments/lexers/c_like.py
/usr/lib/python2.7/dist-packages/pygments/lexers/chapel.py
/usr/lib/python2.7/dist-packages/pygments/lexers/compiled.py
/usr/lib/python2.7/dist-packages/pygments/lexers/configs.py
/usr/lib/python2.7/dist-packages/pygments/lexers/console.py
/usr/lib/python2.7/dist-packages/pygments/lexers/css.py
/usr/lib/python2.7/dist-packages/pygments/lexers/d.py
/usr/lib/python2.7/dist-packages/pygments/lexers/dalvik.py
/usr/lib/python2.7/dist-packages/pygments/lexers/data.py
/usr/lib/python2.7/dist-packages/pygments/lexers/diff.py
/usr/lib/python2.7/dist-packages/pygments/lexers/dotnet.py
/usr/lib/python2.7/dist-packages/pygments/lexers/dsls.py
/usr/lib/python2.7/dist-packages/pygments/lexers/dylan.py
/usr/lib/python2.7/dist-packages/pygments/lexers/ecl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/eiffel.py
/usr/lib/python2.7/dist-packages/pygments/lexers/erlang.py
/usr/lib/python2.7/dist-packages/pygments/lexers/esoteric.py
/usr/lib/python2.7/dist-packages/pygments/lexers/factor.py
/usr/lib/python2.7/dist-packages/pygments/lexers/fantom.py
/usr/lib/python2.7/dist-packages/pygments/lexers/felix.py
/usr/lib/python2.7/dist-packages/pygments/lexers/fortran.py
/usr/lib/python2.7/dist-packages/pygments/lexers/foxpro.py
/usr/lib/python2.7/dist-packages/pygments/lexers/functional.py
/usr/lib/python2.7/dist-packages/pygments/lexers/go.py
/usr/lib/python2.7/dist-packages/pygments/lexers/graph.py
/usr/lib/python2.7/dist-packages/pygments/lexers/graphics.py
/usr/lib/python2.7/dist-packages/pygments/lexers/haskell.py
/usr/lib/python2.7/dist-packages/pygments/lexers/haxe.py
/usr/lib/python2.7/dist-packages/pygments/lexers/hdl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/html.py
/usr/lib/python2.7/dist-packages/pygments/lexers/idl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/igor.py
/usr/lib/python2.7/dist-packages/pygments/lexers/inferno.py
/usr/lib/python2.7/dist-packages/pygments/lexers/installers.py
/usr/lib/python2.7/dist-packages/pygments/lexers/int_fiction.py
/usr/lib/python2.7/dist-packages/pygments/lexers/iolang.py
/usr/lib/python2.7/dist-packages/pygments/lexers/javascript.py
/usr/lib/python2.7/dist-packages/pygments/lexers/julia.py
/usr/lib/python2.7/dist-packages/pygments/lexers/jvm.py
/usr/lib/python2.7/dist-packages/pygments/lexers/lisp.py
/usr/lib/python2.7/dist-packages/pygments/lexers/make.py
/usr/lib/python2.7/dist-packages/pygments/lexers/markup.py
/usr/lib/python2.7/dist-packages/pygments/lexers/math.py
/usr/lib/python2.7/dist-packages/pygments/lexers/matlab.py
/usr/lib/python2.7/dist-packages/pygments/lexers/ml.py
/usr/lib/python2.7/dist-packages/pygments/lexers/modeling.py
/usr/lib/python2.7/dist-packages/pygments/lexers/nimrod.py
/usr/lib/python2.7/dist-packages/pygments/lexers/nit.py
/usr/lib/python2.7/dist-packages/pygments/lexers/nix.py
/usr/lib/python2.7/dist-packages/pygments/lexers/objective.py
/usr/lib/python2.7/dist-packages/pygments/lexers/ooc.py
/usr/lib/python2.7/dist-packages/pygments/lexers/other.py
/usr/lib/python2.7/dist-packages/pygments/lexers/parsers.py
/usr/lib/python2.7/dist-packages/pygments/lexers/pascal.py
/usr/lib/python2.7/dist-packages/pygments/lexers/pawn.py
/usr/lib/python2.7/dist-packages/pygments/lexers/perl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/php.py
/usr/lib/python2.7/dist-packages/pygments/lexers/prolog.py
/usr/lib/python2.7/dist-packages/pygments/lexers/python.py
/usr/lib/python2.7/dist-packages/pygments/lexers/r.py
/usr/lib/python2.7/dist-packages/pygments/lexers/rdf.py
/usr/lib/python2.7/dist-packages/pygments/lexers/rebol.py
/usr/lib/python2.7/dist-packages/pygments/lexers/resource.py
/usr/lib/python2.7/dist-packages/pygments/lexers/robotframework.py
/usr/lib/python2.7/dist-packages/pygments/lexers/ruby.py
/usr/lib/python2.7/dist-packages/pygments/lexers/rust.py
/usr/lib/python2.7/dist-packages/pygments/lexers/scripting.py
/usr/lib/python2.7/dist-packages/pygments/lexers/shell.py
/usr/lib/python2.7/dist-packages/pygments/lexers/smalltalk.py
/usr/lib/python2.7/dist-packages/pygments/lexers/snobol.py
/usr/lib/python2.7/dist-packages/pygments/lexers/special.py
/usr/lib/python2.7/dist-packages/pygments/lexers/sql.py
/usr/lib/python2.7/dist-packages/pygments/lexers/tcl.py
/usr/lib/python2.7/dist-packages/pygments/lexers/templates.py
/usr/lib/python2.7/dist-packages/pygments/lexers/testing.py
/usr/lib/python2.7/dist-packages/pygments/lexers/text.py
/usr/lib/python2.7/dist-packages/pygments/lexers/textedit.py
/usr/lib/python2.7/dist-packages/pygments/lexers/textfmts.py
/usr/lib/python2.7/dist-packages/pygments/lexers/theorem.py
/usr/lib/python2.7/dist-packages/pygments/lexers/urbi.py
/usr/lib/python2.7/dist-packages/pygments/lexers/web.py
/usr/lib/python2.7/dist-packages/pygments/lexers/webmisc.py
/usr/lib/python2.7/dist-packages/pygments/styles/__init__.py
/usr/lib/python2.7/dist-packages/pygments/styles/autumn.py
/usr/lib/python2.7/dist-packages/pygments/styles/borland.py
/usr/lib/python2.7/dist-packages/pygments/styles/bw.py
/usr/lib/python2.7/dist-packages/pygments/styles/colorful.py
/usr/lib/python2.7/dist-packages/pygments/styles/default.py
/usr/lib/python2.7/dist-packages/pygments/styles/emacs.py
/usr/lib/python2.7/dist-packages/pygments/styles/friendly.py
/usr/lib/python2.7/dist-packages/pygments/styles/fruity.py
/usr/lib/python2.7/dist-packages/pygments/styles/igor.py
/usr/lib/python2.7/dist-packages/pygments/styles/manni.py
/usr/lib/python2.7/dist-packages/pygments/styles/monokai.py
/usr/lib/python2.7/dist-packages/pygments/styles/murphy.py
/usr/lib/python2.7/dist-packages/pygments/styles/native.py
/usr/lib/python2.7/dist-packages/pygments/styles/paraiso_dark.py
/usr/lib/python2.7/dist-packages/pygments/styles/paraiso_light.py
/usr/lib/python2.7/dist-packages/pygments/styles/pastie.py
/usr/lib/python2.7/dist-packages/pygments/styles/perldoc.py
/usr/lib/python2.7/dist-packages/pygments/styles/rrt.py
/usr/lib/python2.7/dist-packages/pygments/styles/tango.py
/usr/lib/python2.7/dist-packages/pygments/styles/trac.py
/usr/lib/python2.7/dist-packages/pygments/styles/vim.py
/usr/lib/python2.7/dist-packages/pygments/styles/vs.py
/usr/lib/python2.7/dist-packages/pygments/styles/xcode.py
/usr/share/doc/python-pygments/changelog.Debian.gz
/usr/share/doc/python-pygments/changelog.gz
/usr/share/doc/python-pygments/copyright
/usr/share/man/man1/pygmentize.1.gz

Changelog

2016-01-10 - Salvatore Bonaccorso <carnil@debian.org>
pygments (2.0.1+dfsg-1.1+deb8u1) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add CVE-2015-8557.patch patch.
CVE-2015-8557: Shell injection in FontManager._get_nix_font_path.
(Closes: #802828)
2015-03-22 - Sébastien Villemot <sebastien@debian.org>
pygments (2.0.1+dfsg-1.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/copyright: add the missing licenses of:
- pygments/lexers/robotframework.py
- tests/dtds/HTMLspec.ent
- tests/dtds/HTMLlat1.ent
- tests/dtds/HTMLsym.ent
(Closes: #766042)
2014-11-09 - Piotr Ożarowski <piotr@debian.org>
pygments (2.0.1+dfsg-1) unstable; urgency=medium
[ Dmitry Shachnev ]
* Drop disable_example_files_test.patch, no longer needed.
* Enable verbose tests output.
[ Piotr Ożarowski ]
* New upstream release
- pygmentize no longer fails when writing UTF-8 to output files
(closes: 771724)
* Drop doc/_build from the tarball (mostly due to missing JS sources; these
files are regenerated anyway)
* Remove .pyc files from upstream tarball
* make_utf8_default patch removed, no longer needed
2014-10-19 - Piotr Ożarowski <piotr@debian.org>
pygments (2.0~rc1.a2bc2bd+dfsg-1) unstable; urgency=medium
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Dmitry Shachnev ]
* Make autopkgtests depend on patch (to fix test failure on CI)
and python[3]-all (to run tests for all supported Python versions).
Closes: #740166.
[ Piotr Ożarowski ]
* New upstream release
- Bump X-Python-Version to 2.6
* Documentation moved to new binary package: python-pygments-doc
* Add dh-python and python-sphinx to Build-Depends
* Switch debhelper compat level to 9
* Standards-Version bumped to 3.9.6 (no changes needed)
2013-02-03 - Piotr Ożarowski <piotr@debian.org>
pygments (1.6+dfsg-1) experimental; urgency=low
* New upstream release
* fix_makefile_re.patch removed, no longer needed
* debian/watch file updated to handle rc versions correctly
2013-01-06 - Piotr Ożarowski <piotr@debian.org>
pygments (1.5+dfsg-2) unstable; urgency=low
[ Dmitry Shachnev ]
* Add DEP-8 tests (closes: #693028).
* Remove unneeded build-dependency on quilt.
* Bump Standards-Version to 3.9.4.
+ Add empty build-arch target to debian/rules.
* Drop Breaks: {python:Breaks}, it is obsolete.
* debian/patches/fix_makefile_re.patch: cherry-picked upstream commit
that fixes Makefile highlighting.
2012-03-11 - Piotr Ożarowski <piotr@debian.org>
pygments (1.5+dfsg-1) unstable; urgency=low
* New upstream release
* make_utf8_default patch: do not change the encoding guessing part in
pygments/lexer.py; updated to new upstream version
* debian/pygmentize no longer needed, upstream now ships the script in the
tarball (and it returns correct exit codes, closes: 628881)
2011-01-04 - Piotr Ożarowski <piotr@debian.org>
pygments (1.4+dfsg-1) unstable; urgency=low
* New upstream release
* Provide python3-pygments binary package
* Convert from python-support to dh_python2
* Source package format changed to 3.0 (quilt)
* Standards-Version bumped to 3.9.1 (no changes needed)
2010-03-20 - Piotr Ożarowski <piotr@debian.org>
pygments (1.3.1+dfsg-1) unstable; urgency=low
* New upstream release
* Add ttf-bitstream-vera package to Suggests ("img" formatter needs it)
* Homepage field updated
2010-03-02 - Piotr Ożarowski <piotr@debian.org>
pygments (1.3+dfsg-1) unstable; urgency=low
* New upstream release
- install Bash completion script for pygmentize
* Standards-Version bumped to 3.8.4 (no changes needed)

See Also

Package Description
python-pygoocanvas_0.14.1-1+b3_i386.deb GooCanvas Python bindings
python-pygooglechart_0.3.0-1_all.deb complete wrapper for the Google Chart API
python-pygrace_0.4p2-3_all.deb Python bindings for grace
python-pygraph_1.8.2-6_all.deb library for working with graphs in Python
python-pygraphviz_1.3~rc2-1_i386.deb Python interface to the Graphviz graph layout and visualization package
python-pygresql_4.0-3.1_i386.deb PostgreSQL module for Python
python-pyhsm_1.0.4k-3_all.deb Python code for talking to a Yubico YubiHSM hardware
python-pyicu_1.8-1_i386.deb Python extension wrapping the ICU C++ API
python-pyinotify-doc_0.9.4-1_all.deb simple Linux inotify Python bindings -- documentation
python-pyinotify_0.9.4-1_all.deb simple Linux inotify Python bindings
python-pyip_0.7-2_all.deb Python modules for raw ip packet assembling/disassembling
python-pyisomd5sum_1.0.11-1_i386.deb ISO9660 checksum Python module
python-pyjavaproperties_0.6-2_all.deb Python implementation of java.util.Properties
python-pykaraoke_0.7.5-1.1_i386.deb free CDG/MIDI/MPEG karaoke player
python-pykdtree_0.2-1_i386.deb Fast kd-tree implementation with OpenMP-enabled queries
Advertisement
Advertisement